package com.zksy.electricity.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zksy.electricity.domain.MessageParseResult;
import com.zksy.electricity.domain.vo.MessageParseVo;
import com.zksy.electricity.domain.vo.PowerLoadDistributionVo;
import com.zksy.electricity.domain.vo.VoltageCurrentTrendVo;

import java.util.List;

public interface MessageParseResultService extends IService<MessageParseResult> {
    public Integer saveMessageParseResult(MessageParseResult result);

    List<MessageParseVo> getSummaryByTableNumber();

    VoltageCurrentTrendVo getVoltageCurrentTrend(String startTimeStr, String endTimeStr, String tableNumber);

    List<PowerLoadDistributionVo> getPowerLoadDistribution(String tableNumber, String startTime, String endTime);
}